ELF_END(3)

NAME
elf_end - Release resources associated with an ELF descriptor.

SYNOPSIS
#include <libelf.h>
int elf_end(Elf *elf);

DESCRIPTION
The elf_end function releases resources associated with an ELF descriptor previously returned by elf_begin. It decrements the ELF descriptor’s internal reference count by one. When this count reaches zero, the resources associated with the descriptor are freed and the descriptor is invalidated. If elf is not an archive member with ELF kind ELF_K_AR, the internal reference count is increased by one each time elf is passed to elf_begin as the ref argument. An ELF descriptor whose reference count reaches zero is invalidated. Further operations on the descriptor will result in undefined behavior.

PARAMETERS

elf The ELF descriptor (may be NULL).

RETURN VALUE
Return the ELF descriptor's current internal reference count after decrementing. A return value of zero indicates the ELF descriptor is now invalidated. If elf is NULL, then elf_end also returns 0.

SEE ALSO
elf_begin(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.